import { world, system, EntityRidingComponent, Entity } from '@minecraft/server';

system.runInterval(async () => {
  let playersRide = world.getPlayers();

  for (let player of playersRide) {
    if (!player.hasTag('BO') && !player.hasTag('IS')) {
      if (!player.hasTag('Ble') && player.hasComponent("minecraft:riding") && !player.hasTag('OG')) {
        player.addTag('Ble');
      }
      if (player.hasTag('Ble') && !player.hasComponent("minecraft:riding") && !player.hasTag('OG')) {
        player.removeTag('Ble');
      }

      if (player.hasTag('OG') || player.hasTag('ALD')) {
        player.removeTag('Ble');
      }

      if (!player.hasTag('RL') && player.hasComponent("minecraft:riding")) {
        if (player.hasTag('OG') || player.hasTag('ALD')) {
          player.addTag('RL');
        }
      }
      if (player.hasTag('RL') && !player.hasComponent("minecraft:riding")) {
        if (player.hasTag('OG') || player.hasTag('ALD')) {
          player.removeTag('RL');
        }
      }
    }

    if (!player.hasTag('OG') && !player.hasTag('ALD')) {
      player.removeTag('RL');
    }
    if (player.hasTag('BO') || player.hasTag('IS')) {
      player.removeTag('Ble');
      player.removeTag('RL');
    }
  }
}, 10) //Made by ItzJeremicer