import { world } from '@minecraft/server';

let xPos = []
let zPos = []

world.beforeEvents.chatSend.subscribe(async (eventData) => {
  const player = eventData.sender;

  if (player.hasTag("Operator")) {
    if (eventData.message.startsWith('!')) {
      if (eventData.message.endsWith('wa help')) {
        eventData.cancel = true;
        await player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§b§l---Commands--- \n§r§a!wa spawn tornado \n!wa request \n!wa transfer"}]}');
        await player.runCommandAsync('playsound note.flute @s');
      }
    }
    if (eventData.message.startsWith('!')) {
      if (!eventData.message.endsWith('spawn')) {
        if (eventData.message.includes('wa spawn')) {
          if (eventData.message.includes('tornado')) {
            if (eventData.message.endsWith('0 strong') || eventData.message.endsWith('type 0 strong') || eventData.message.endsWith('F0 strong') || eventData.message.endsWith('type F0 strong')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado0 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado0 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado0 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado0 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('0 strong pos') || eventData.message.endsWith('type 0 strong pos') || eventData.message.endsWith('F0 strong pos') || eventData.message.endsWith('type F0 strong pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F0! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado0 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('1 strong') || eventData.message.endsWith('type 1 strong') || eventData.message.endsWith('F1 strong') || eventData.message.endsWith('type F1 strong')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado1 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado1 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado1 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado1 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('1 strong pos') || eventData.message.endsWith('type 1 strong pos') || eventData.message.endsWith('F1 strong pos') || eventData.message.endsWith('type F1 strong pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F1! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado1 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('2 strong') || eventData.message.endsWith('type 2 strong') || eventData.message.endsWith('F2 strong') || eventData.message.endsWith('type F2 strong')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado2 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado2 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado2 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado2 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('2 strong pos') || eventData.message.endsWith('type 2 strong pos') || eventData.message.endsWith('F2 strong pos') || eventData.message.endsWith('type F2 strong pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F2! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado2 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('3 strong') || eventData.message.endsWith('type 3 strong') || eventData.message.endsWith('F3 strong') || eventData.message.endsWith('type F3 strong')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado3 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado3 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado3 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado3 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('3 strong pos') || eventData.message.endsWith('type 3 strong pos') || eventData.message.endsWith('F3 strong pos') || eventData.message.endsWith('type F3 strong pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned F3! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:tornado3 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }


            if (eventData.message.endsWith('0 weak') || eventData.message.endsWith('type 0 weak') || eventData.message.endsWith('F0 weak') || eventData.message.endsWith('type F0 weak')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado0 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado0 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado0 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F0!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado0 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('0 weak pos') || eventData.message.endsWith('type 0 weak pos') || eventData.message.endsWith('F0 weak pos') || eventData.message.endsWith('type F0 weak pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F0! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado0 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('1 weak') || eventData.message.endsWith('type 1 weak') || eventData.message.endsWith('F1 weak') || eventData.message.endsWith('type F1 weak')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado1 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado1 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado1 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F1!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado1 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('1 weak pos') || eventData.message.endsWith('type 1 weak pos') || eventData.message.endsWith('F1 weak pos') || eventData.message.endsWith('type F1 weak pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F1! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado1 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('2 weak') || eventData.message.endsWith('type 2 weak') || eventData.message.endsWith('F2 weak') || eventData.message.endsWith('type F2 weak')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado2 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado2 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado2 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F2!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado2 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('2 weak pos') || eventData.message.endsWith('type 2 weak pos') || eventData.message.endsWith('F2 weak pos') || eventData.message.endsWith('type F2 weak pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F2! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado2 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('3 weak') || eventData.message.endsWith('type 3 weak') || eventData.message.endsWith('F3 weak') || eventData.message.endsWith('type F3 weak')) {
              eventData.cancel = true;
              const val = Math.round(Math.random(0, 3));
              if (val === 0) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado3 ~35 ~ ~55 facing @s`);
              }
              if (val === 1) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado3 ~23 ~ ~23 facing @s`);
              }
              if (val === 2) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado3 ~-30 ~ ~12 facing @s`);
              }
              if (val === 3) {
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F3!"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado3 ~40 ~ ~-22 facing @s`);
              }
            }
            if (eventData.message.endsWith('3 weak pos') || eventData.message.endsWith('type 3 weak pos') || eventData.message.endsWith('F3 weak pos') || eventData.message.endsWith('type F3 weak pos')) {
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aSuccessfully spawned Died-Down F3! X: ${xPos} Z: ${zPos}"}]}`);
                await player.runCommandAsync('playsound note.bell @s');
                await player.runCommandAsync(`execute as @s at @s run summon agp:dd_tornado3 ~${xPos} ~ ~${zPos} facing @s`);
              }
              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X and Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }

              if (xPos.slice(0, 1).length === 0 && zPos.slice(0, 1).length !== 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for X yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
              if (xPos.slice(0, 1).length !== 0 && zPos.slice(0, 1).length === 0) {
                eventData.cancel = true;
                await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4You have no values set for Z yet..."}]}`);
                await player.runCommandAsync('playsound note.bass @s');
              }
            }

            if (eventData.message.endsWith('tornado')) {
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aPlease specify what kind of tornado to spawn!"}]}`);
              await player.runCommandAsync('playsound note.bell @s');
            }
            if (eventData.message.endsWith('tornado 0') || eventData.message.endsWith('tornado 1') || eventData.message.endsWith('tornado 2') || eventData.message.endsWith('tornado 3')) {
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aPlease specify the tornadoes class weak/strong"}]}`);
              await player.runCommandAsync('playsound note.bell @s');
            }
            if (eventData.message.endsWith('tornado 4') || eventData.message.endsWith('tornado 5')) {
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cCannot spawn tornado type, is still a work in progress..."}]}`);
              await player.runCommandAsync('playsound note.bell @s');
            }
            if (eventData.message.endsWith('tornado 4 weak') || eventData.message.endsWith('tornado 5 weak')) {
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cCannot spawn tornado type, is still a work in progress..."}]}`);
              await player.runCommandAsync('playsound note.bell @s');
            }
            if (eventData.message.endsWith('tornado 4 strong') || eventData.message.endsWith('tornado 5 strong')) {
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cCannot spawn tornado type, is still a work in progress..."}]}`);
              await player.runCommandAsync('playsound note.bell @s');
            }
            else {
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§c${eventData.message} Is not a valid tornado spawn type!"}]}`);
              await player.runCommandAsync('playsound note.bass @s');
            }
          }
        }
      }
      if (eventData.message.endsWith('spawn')) {
        eventData.cancel = true;
        await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§a${player.nameTag} please specify, what you want to spawn..."}]}`);
        await player.runCommandAsync('playsound note.bell @s');
      }
    }
    if (eventData.message.startsWith('!')) {
      if (eventData.message.includes('wa')) {
        if (eventData.message.endsWith('request')) {
          eventData.cancel = true;
          await player.runCommandAsync(`tellraw @a[tag=Selector,tag=!Lock] {"rawtext":[{"text":"§6${player.name} has requested ownership!"}]}`);
          await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§6${player.name} thank you for requesting ownership!"}]}`);
          await player.runCommandAsync(`execute as @s[tag=!Selector,tag=Lock] run scoreboard players set "${player.name}" RequestData 0`);
          await player.runCommandAsync('playsound block.beehive.exit @s');
        }
      }
    }
    if (eventData.message.startsWith('!')) {
      if (eventData.message.includes('wa')) {
        if (eventData.message.includes('pos')) {
          if (eventData.message.includes('x')) {
            if (eventData.message.slice(10) && !eventData.message.slice(12) && !eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              let x = sentMessage.slice(10);
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aTornado Spawn Pos X: ${sentMessage.slice(10)}"}]}`);
              xPos.pop(x);
              xPos.push(x);
            }
            if (eventData.message.slice(10) && !eventData.message.slice(13) && eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              let x = sentMessage.slice(10);
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aTornado Spawn Pos X: ${sentMessage.slice(10)}"}]}`);
              xPos.pop(x);
              xPos.push(x);
            }
            if (eventData.message.slice(10) && eventData.message.slice(12) && !eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4${player.nameTag}, the value ${sentMessage.slice(10)} is too large, cannot go past 99!"}]}`);
            }
            if (eventData.message.slice(10) && eventData.message.slice(13) && eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4${player.nameTag}, the value ${sentMessage.slice(10)} is too large, cannot go past -99!"}]}`);
            }
          }
          if (eventData.message.includes('z')) {
            if (eventData.message.slice(10) && !eventData.message.slice(12) && !eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              let z = sentMessage.slice(10);
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aTornado Spawn Pos Z: ${sentMessage.slice(10)}"}]}`);
              zPos.pop(z);
              zPos.push(z);
            }
            if (eventData.message.slice(10) && !eventData.message.slice(13) && eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              let z = sentMessage.slice(10);
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§aTornado Spawn Pos Z: ${sentMessage.slice(10)}"}]}`);
              zPos.pop(z);
              zPos.push(z);
            }
            if (eventData.message.slice(10) && eventData.message.slice(12) && !eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4${player.nameTag}, the value ${sentMessage.slice(10)} is too large, cannot go past 99!"}]}`);
            }
            if (eventData.message.slice(10) && eventData.message.slice(13) && eventData.message.includes("-")) {
              let sentMessage = eventData.message;
              eventData.cancel = true;
              await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§4${player.nameTag}, the value ${sentMessage.slice(10)} is too large, cannot go past -99!"}]}`);
            }
          }
        }
      }
    }
    if (eventData.message.startsWith('!')) {
      if (eventData.message.includes('wa')) {
        if (!eventData.message.includes('help') && !eventData.message.includes('spawn') && !eventData.message.includes('request')) {
          eventData.cancel = true;
          await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cInvalid Command!"}]}`);
          await player.runCommandAsync('playsound block.beehive.exit @s');
        }
      }
      if (eventData.message.endsWith('wa')) {
        eventData.cancel = true;
        await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§6Please specify which command you would like to do, if you don't know a command. \nType in §c§l!wa help"}]}`);
        await player.runCommandAsync('playsound block.beehive.exit @s');
      }
    }
  }
  if (!player.hasTag("Operator")) {
    if (eventData.message.startsWith("!wa")) {
      eventData.cancel = true;
      await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§c${player.nameTag} You must be an operator, to use these commands!"}]}`);
      await player.runCommandAsync('playsound note.bass @s');
    }
  }
})