import { world, system } from '@minecraft/server';

system.runInterval(async () => {
  let playersAtStart = world.getPlayers();

  for (let player of playersAtStart) {
    const sneaks = world.scoreboard.getObjective('TickCrouch').displayName;

    if (player.isSneaking && !player.hasTag('SneakDetection')) {
      player.runCommandAsync(`scoreboard players add @s ${sneaks} 1`);
      player.addTag('SneakDetection');
    }
    if (!player.isSneaking) {
      player.removeTag('SneakDetection');
    }
  }
}, 20) //Made by ItzJeremicer