import { world, system } from '@minecraft/server';

system.runInterval(async () => {
  let playersToCatchFire = world.getPlayers();
  let mobsToCatchFire = world.getDimension("overworld").getEntities();

  for (let player of playersToCatchFire) {
    if (player.hasTag('IsOnFirePlayer')) {
      player.setOnFire(8, true);
      player.removeTag('IsOnFirePlayer');
    }
  }
  for (let mob of mobsToCatchFire) {
    if (mob.hasTag('IsOnFireMob')) {
      mob.setOnFire(6, true);
      mob.removeTag('IsOnFireMob');
    }
  }
}, 20)